Debian Bug report logs - #725654
ITP: djinn -- generate Haskell expressions from types

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raúl Benencia <rul@kalgan.cc>

Date: Mon, 7 Oct 2013 02:03:02 UTC

Owned by: Raúl Benencia <rul@kalgan.cc>

Severity: wishlist

Fixed in version djinn/2011.7.23-1

Done: Raúl Benencia <rul@kalgan.cc>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rul@kalgan.cc, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#725654; Package wnpp. (Mon, 07 Oct 2013 02:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Benencia <rul@kalgan.cc>:
New Bug report received and forwarded. Copy sent to rul@kalgan.cc, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 07 Oct 2013 02:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rul@kalgan.cc>
To: submit@bugs.debian.org
Subject: ITP: djinn -- generate Haskell expressions from types
Date: Sun, 6 Oct 2013 22:59:15 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Raúl Benencia <rul@kalgan.cc>

* Package name    : djinn
  Version         : 2011.7.23
  Upstream Author : Lennart Augustsson <lennart@augustsson.net>
* URL             : http://hackage.haskell.org/package/djinn
* License         : BSD
  Programming Lang: Haskell
  Description     : generate Haskell expressions from types

Djinn uses a theorem prover for intuitionistic propositional logic to
generate a Haskell expression when given a type.

Given a type the program will deduce an expression of this type, if one
exists. If the Djinn says the type is not realizable it is because there is
no (total) expression of the given type.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Raúl Benencia <rul@kalgan.cc>:
You have taken responsibility. (Fri, 29 Nov 2013 16:03:52 GMT) Full text and rfc822 format available.

Notification sent to Raúl Benencia <rul@kalgan.cc>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:03:52 GMT) Full text and rfc822 format available.

Message #12 received at 725654-close@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rul@kalgan.cc>
To: 725654-close@bugs.debian.org
Subject: Bug#725654: fixed in djinn 2011.7.23-1
Date: Fri, 29 Nov 2013 16:00:07 +0000
Source: djinn
Source-Version: 2011.7.23-1

We believe that the bug you reported is fixed in the latest version of
djinn, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725654@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raúl Benencia <rul@kalgan.cc> (supplier of updated djinn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Oct 2013 11:45:04 -0300
Source: djinn
Binary: djinn
Architecture: source amd64
Version: 2011.7.23-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Raúl Benencia <rul@kalgan.cc>
Description: 
 djinn      - generate Haskell expressions from types
Closes: 725654
Changes: 
 djinn (2011.7.23-1) unstable; urgency=low
 .
   [ Raúl Benencia ]
   * Initial release. (Closes: #725654)
Checksums-Sha1: 
 e888254d2e68f08222d5036a92043d5aa6607732 1388 djinn_2011.7.23-1.dsc
 2aa41de769477c3e19e73bf74a4cf9969ab4569c 22092 djinn_2011.7.23.orig.tar.gz
 945de71782539f536b2f848fa14d866771e70eb7 2624 djinn_2011.7.23-1.debian.tar.gz
 ed0f99afc04010c0b563bf73429250c20d519656 425894 djinn_2011.7.23-1_amd64.deb
Checksums-Sha256: 
 380883cc25f2e0bd25f01ac6def6160924c685c87267bcd277d0c4ea5860adfc 1388 djinn_2011.7.23-1.dsc
 bb870bc3415b54a8955191b69f684a188d78c5103bb12d9e4c39b4fcf145e490 22092 djinn_2011.7.23.orig.tar.gz
 2de6b783c33c4aeb1e0ab1a5f75ab7fd5558ebcccd3dd2a74751551bedd6e2d9 2624 djinn_2011.7.23-1.debian.tar.gz
 2f61bf41a37b022c1decdda27111beb9b227eaeefd8021ac759cbc8a710caf91 425894 djinn_2011.7.23-1_amd64.deb
Files: 
 a06e8aaa22da7f54d6d717bd782b8a8e 1388 haskell extra djinn_2011.7.23-1.dsc
 dcb7adacc415398323270686a4a8054a 22092 haskell extra djinn_2011.7.23.orig.tar.gz
 1aad13de30d58f94d899b826cdbdb5ae 2624 haskell extra djinn_2011.7.23-1.debian.tar.gz
 12aedb7b68783171eb8a22c431dc4910 425894 haskell extra djinn_2011.7.23-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlJtdPYACgkQ9ijrk0dDIGyidQCdFwbUGWLaHvD0nzJeNFQdaIXk
XHYAoIN9y8PzA+J2cAObZqxBQVnum/uu
=Mc5L
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:35:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:08:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.